Subject: Re: openGL link errors
From: Jason Majors <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked]
Date: Sun, 16 Jul 2000 11:03:16 -0700

I read that thread, but it doesn't really apply here. All of the functions I'm
calling are already setup as 'extern void APIENTRY'.

When I comment out the LINK_OPTS macro in my Makefile, I get the exact same
results, so it looks like it can't find the libraries (they're in /lib) or it
doesn't understand how to read them.

On Sun, Jul 16, 2000 at 01:11:41PM -0400, Larry Hall (RFK Partners, Inc) wrote:
> At 11:42 PM 7/14/00, you wrote:
I'm trying to compile a simple openGL application under cygwin.
I have the latest version of everything (as of July 14) from the yggdrasil.com 
mirror site. I followed the instructions for linking in the openGL README, but
I'm still getting errors like:
main.o(.text+0x31):main.c: undefined reference to `glColor3f@12'
I get about 20 of these from various gl* and glut* functions.

Here is the important part of the Makefile:

INCLUDE=-I/usr/local/include
LINK_OPTS=-lglut32 -lglu32 -lopengl32

gluthello: main.o
        $(CC) $(LINK_OPTS) -o gluthello main.o

main.o: main.c
        $(CC) $(INCLUDE) -c main.c

> 
> 
> 
> See the thread on glGetString...
> 
> 
> 
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 118 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX
>                                        (508) 560-1285 - cell phone

--
Want to unsubscribe from this list?
Send a message to [email-masked]